/*
 * Copyright (C) 2012 Ian G. Clifton
 * Used in The Essentials of Android Application Development LiveLessons
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package com.iangclifton.android.media;

import java.io.File;

import android.os.Bundle;
import android.os.Environment;
import android.support.v4.app.FragmentActivity;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.CompoundButton;
import android.widget.VideoView;

import com.iangclifton.android.R;

/**
 * An Activity that demonstrates video playback using a VideoView.
 * 
 * @author Ian G. Clifton
 */
public class VideoActivity extends FragmentActivity implements OnClickListener {
	
	private CompoundButton mButton = null;
	private VideoView mVideoView = null;
	
	@Override
	public void onClick(View v) {
		if (mVideoView.isPlaying()) {
			mVideoView.pause();
		} else {
			mVideoView.start();
		}
	}

	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		
		setContentView(R.layout.video);
		mVideoView = (VideoView) findViewById(R.id.video_view);
		File video = new File(Environment.getExternalStorageDirectory(), "testvideo.mp4");
		mVideoView.setVideoPath(video.getAbsolutePath());
//		Uri videoUri = Uri.fromFile(video);
//		mVideoView.setVideoURI(videoUri);
		mButton = (CompoundButton) findViewById(R.id.play_button);
		mButton.setOnClickListener(this);
	}
}
