/*
 * Copyright (C) 2012 Ian G. Clifton
 * Used in The Essentials of Android Application Development LiveLessons
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package com.iangclifton.android.view;

import android.graphics.BitmapFactory;
import android.os.Bundle;
import android.support.v4.app.FragmentActivity;
import android.view.LayoutInflater;
import android.widget.LinearLayout;

import com.iangclifton.android.R;

/**
 * Activity that loads the CustomLayout and the AuthorBox, displaying both.
 * 
 * @author Ian G. Clifton
 */
public class CustomLayoutActivity extends FragmentActivity {

	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		
		LayoutInflater inflater = LayoutInflater.from(this);
		LinearLayout ll = (LinearLayout) inflater.inflate(R.layout.linear_layout, null);
		setContentView(ll);
		
		// First, the CustomLayout
		CustomLayout authorBox = new CustomLayout(this);
		authorBox.setMainText("John Joe");
		authorBox.setSubText("President ACME Industries");
		ll.addView(authorBox);
		authorBox = new CustomLayout(this, R.drawable.andy, "Andy Bugdroid", "Mascot");
		ll.addView(authorBox);
		
		// Then, the AuthorBox
		AuthorBox ab = new AuthorBox(this);
		ab.setMainText("Andy Bugdroid");
		ab.setSubText("Mascot");
		ab.setThumbnail(BitmapFactory.decodeResource(getResources(), R.drawable.andy));
		ll.addView(ab);
	}

	
}
