/*
 * Copyright (C) 2012 Ian G. Clifton
 * Used in The Essentials of Android Application Development LiveLessons
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package com.iangclifton.android.webaccess;

import android.os.Bundle;
import android.support.v4.app.Fragment;
import android.text.Html;
import android.text.TextUtils;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.TextView;

import com.iangclifton.android.R;

/**
 * Fragment that can download and display web content.
 * 
 * @author Ian G. Clifton
 */
public class CustomHttpHandlingFragment extends Fragment {
	
	private TextView mTextView;
	
	@Override
	public void onActivityCreated(Bundle savedInstanceState) {
		super.onActivityCreated(savedInstanceState);
		new Task().execute("http://en.wikipedia.org/wiki/Android_(operating_system)");
	}

	@Override
	public View onCreateView(LayoutInflater inflater, ViewGroup container,
			Bundle savedInstanceState) {
		View v = inflater.inflate(R.layout.scrolling_textview, container, false);
		mTextView = (TextView) v.findViewById(R.id.textView1);
		return v;
	}

	private class Task extends HttpDownloadTask {

		@Override
		protected void onPostExecute(String result) {
			if (TextUtils.isEmpty(result)) {
				mTextView.setText(R.string.generic_error);
			} else {
				mTextView.setText(Html.fromHtml(result));
			}
		}
		
	}
}
